# mod/scan.py
#
#

""" scan the home dir for madbot data dirs, dirs that contain a 'runtime' subdirectory. """

from bot.file import locatedir

from bot.space import cfg, users

import os 

def scan(event):
    if not users.allowed(event.origin, "OPER"):
        event.reply("you are not allowed to give the scan command.")
        return
    homedir = os.path.expanduser("~")
    cfg.workdirs = list(locatedir(homedir, 'runtime'))
