# mod/edit.py
#
#

""" plugin to change cfg values. """


from bot.object import Config
from bot.space import users

import json
import bot

def cfg(event):
    if not users.allowed(event.origin, "OPER"):
        event.reply("you are not allowed to give the cfg command.")
        return
    args = event._parsed.args
    if not args:
        event.reply(bot.space.cfg)
        return
    name = args[0]
    object = Config()
    object.fromdisk(name)
    try:
        key = args[1]
    except IndexError:
        event.reply(object)
        return
    if len(args) > 3:
        val = args[2:]
    elif len(args) == 3:
        val = args[2]
    else:
        event.reply("missing a value.")
        return
    try:
        object[key] = json.loads('"%s"' % val)
    except (SyntaxError, ValueError) as ex:
        event.reply(str(ex))
        return
    if key == "user" and "@" in object[key]:
        object["username"], object["server"] = object[key].split("@")
    object.sync()
    event.reply(object)
